﻿.skeleton-container {
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
    width: 100%;
}

.carousel-skeleton-container {
    display: flex;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
    margin-top: 0.5rem;
    justify-content: center;
    width: 100%;
    height: 316px;
    animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;
}

.carousel-skeleton-wrapper {
    display: flex;
    width: 100%;
    max-width: 1240px;
}

.carousel-image-wrapper {
    display: flex;
    overflow: hidden;
    position: relative;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 0;
    height: 50%;
}

.image-icon {
    width: 5rem;
    height: 5rem;
    color: #e5e7eb;
}

.text-skeleton {
    border-radius: 4px;
    background-color: #e5e7eb;
}

.carousel-skeleton-content-wrapper {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 0px 16px;
}

.carousel-top-content {
    display: flex;
    padding-left: 0.25rem;
    padding-right: 0.25rem;
    gap: 0.5rem;
    justify-content: space-between;
    width: 100%;
    margin-top: 16px;
    margin-bottom: 4px;
}

.winepackages-skeleton-container {
    display: flex;
    padding: 16px 8px 16px 8px;
    margin: 8px auto 0 auto;
    justify-content: center;
    width: 100%;
    min-height: 200px;
    animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;
}

.winepackages-skeleton-wrapper {
    max-width: 1240px;
    justify-content: center;
    width: 100%;
    align-items: center;
}

.winepackages-skeleton-scroll-container {
    display: flex;
    align-items: center;
    overflow-x: auto;
    max-width: 1240px;
    width: 100%;
    padding: 8px;
}

.winepackage-skeleton-wrapper {
    width: 100%;
    min-height: 300px;
    position: relative;
    margin-bottom: 16px;
    padding-left: 16px;
    padding-right: 16px;
}

.winepackage-image-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 192px;
    border-radius: 4px;
    background-color: #d1d5db;
}

.winepackage-skeleton-price-wrapper {
    display: flex;
    justify-content: space-between;
    position: absolute;
    bottom: 8px;
    width: 100%;
    left: 0;
    padding-left: 16px;
    padding-right: 16px;
}

.wines-skeleton-container {
    display: flex;
    padding: 16px 8px 16px 8px;
    margin: 8px auto 0px auto;
    justify-content: center;
    width: 100%;
    min-height: 200px;
    animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;
}

.wines-skeleton-wrapper {
    max-width: 1240px;
    justify-content: center;
    width: 100%;
    align-items: center;
}

.wines-skeleton-scroll-container {
    padding: 8px;
    display: flex;
    align-items: center;
    overflow-x: auto;
    max-width: 1240px;
    width: 100%;
}

.wine-skeleton-container {
    width: 100%;
    min-height: 300px;
    position: relative;
    margin-bottom: 16px;
    padding-left: 16px;
    padding-right: 16px;
}

.wine-skeleton-image-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 192px;
    border-radius: 4px;
    background-color: #d1d5db;
}

.wine-skeleton-price-wrapper {
    display: flex;
    justify-content: space-between;
    position: absolute;
    bottom: 8px;
    width: 100%;
    left: 0;
    padding-left: 16px;
    padding-right: 16px;
}

/* ANIMATIONS */
@keyframes pulse {
    0%, 100% {
        opacity: 1;
    }

    50% {
        opacity: 0.5;
    }
}

/* SCREEN BREAKS */
@media (min-width: 640px) {
    .carousel-image-wrapper {
        height: 70%;
    }
}

@media (min-width: 768px) {
    .carousel-skeleton-container {
        padding-left: 1rem;
        padding-right: 1rem;
        padding-top: 1.5rem;
        padding-bottom: 1.5rem;
        height: 410px;
    }

    .carousel-skeleton-wrapper {
        padding-left: 0.5rem;
        padding-right: 0.5rem;
    }

    .carousel-image-wrapper {
        padding: 1rem;
        height: 100%;
        width: 65%;
    }

    .carousel-skeleton-content-wrapper {
        padding-top: 1.5rem;
        padding-bottom: 1.5rem;
        padding-left: 1.5rem;
        padding-right: 1.5rem;
        width: 35%;
        height: 410px;
    }

    .carousel-top-content {
        margin-top: 1rem;
        margin-bottom: 1rem;
    }

    .winepackages-skeleton-container {
        padding: 1.5rem 1rem;
    }

    .winepackages-skeleton-wrapper {
        padding: 0px 8px;
    }

    .wines-skeleton-conteiner {
        padding: 24px 16px;
    }

    .wines-skeleton-wrapper {
        padding-left: 8px;
        padding-right: 8px;
    }
}

@media (min-width: 1024px) {
    .carousel-skeleton-container {
        padding-top: 2.5rem;
        padding-bottom: 2.5rem;
    }

    .carousel-skeleton-wrapper {
        padding-left: 0.5rem;
        padding-right: 0.5rem;
        flex-direction: row;
    }

    .winepackages-skeleton-container {
        padding-top: 2.5rem;
        padding-bottom: 2.5rem;
    }

    .winepackages-skeleton-wrapper {
        padding: 0px 8px;
    }

    .winepackage-skeleton-wrapper {
        width: 450px;
    }

    .wines-skeleton-conteiner {
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .wine-skeleton-container {
        width: 450px;
    }
}

@media (min-width: 1200px) {
    .carousel-top-content {
        margin-bottom: 96px;
    }
}
